%define modname gnutls
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A67_%{modname}.ini

Summary:	GnuTLS PHP Module
Name:		php-%{modname}
Version:	0.3
Release:	%mkrel 0.rc1.2
Group:		Development/PHP
License:	GPLv2+
URL:		http://openvcp.org/
Source0:	http://files.openvcp.org/modphp-%{modname}-%{version}-rc1.tar.gz
BuildRequires:	php-devel >= 5.2.0
BuildRequires:	pkgconfig
BuildRequires:	gnutls-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is a dynamic shared object (DSO) that adds GnuTLS support to PHP.

%prep

%setup -q -n modphp-%{modname}-%{version}-rc1

%build

%{_usrsrc}/php-devel/buildext %{modname} "%{modname}.c" "-DCOMPILE_DL=1 -DHAVE_SOCKETS -L%{_libdir} `pkg-config --libs gnutls`"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 13 2016 bb <bb> 0.3-0.rc1.2pclos2016
- rebuild
